org.apache.directory.mavibot.btree

## Enum BTreeTypeEnum

- java.lang.Object
- - java.lang.Enum<BTreeTypeEnum>
  - - org.apache.directory.mavibot.btree.BTreeTypeEnum

- All Implemented Interfaces:
    Serializable, Comparable<BTreeTypeEnum>

      public enum BTreeTypeEnum
      extends Enum<BTreeTypeEnum>

  An enum to describe the B-tree type. We have three possible type :
  - IN_MEMORY : the B-tree will remain in memory, and won't be persisted on disk
  - BACKED_ON_DISK : the B-tree is in memory, but will be persisted on disk
  - PERSISTED : the B-tree is managed by a RecordManager, and some pages may be swapped out from memory on demand
  - PERSISTED_SUB : The B-tree is a Persisted B-tree, but a Sub B-tree one
  - PERSISTED_MANAGEMENT : This is a Persisted B-tree used to manage the other B-trees
  Author:
    Apache Directory Project

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BACKED_ON_DISK` In-memory B-tree but saved on disk
    `BTREE_OF_BTREES` Persisted Management B-tree
    `COPIED_PAGES_BTREE` Persisted Management B-tree
    `IN_MEMORY` Pure in-memory B-tree, not persisted on disk
    `PERSISTED` Persisted B-tree
    `PERSISTED_SUB` Persisted sub B-tree

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BTreeTypeEnum` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static BTreeTypeEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### IN_MEMORY

          public static final BTreeTypeEnum IN_MEMORY

      Pure in-memory B-tree, not persisted on disk

    - #### PERSISTED

          public static final BTreeTypeEnum PERSISTED

      Persisted B-tree

    - #### PERSISTED_SUB

          public static final BTreeTypeEnum PERSISTED_SUB

      Persisted sub B-tree

    - #### BTREE_OF_BTREES

          public static final BTreeTypeEnum BTREE_OF_BTREES

      Persisted Management B-tree

    - #### COPIED_PAGES_BTREE

          public static final BTreeTypeEnum COPIED_PAGES_BTREE

      Persisted Management B-tree

    - #### BACKED_ON_DISK

          public static final BTreeTypeEnum BACKED_ON_DISK

      In-memory B-tree but saved on disk

  - ### Method Detail

    - #### values

          public static BTreeTypeEnum[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BTreeTypeEnum c : BTreeTypeEnum.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BTreeTypeEnum valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2012–2015 Apache Mavibot Project Parent. All rights reserved.